Page MenuHomePhabricator

scan-view: Remove Reporter.py and associated AppleScript files
ClosedPublic

Authored by tstellar on Dec 18 2020, 3:23 PM.

Details

Summary

I'm not exactly sure what this is, but it appears to be a tool for reporting
internal issues at Apple. These files haven't been meaningfully updated in
12 years, and it doesn't seem like there is any reason to keep them in tree.

Diff Detail

Event Timeline

tstellar created this revision.Dec 18 2020, 3:23 PM
tstellar requested review of this revision.Dec 18 2020, 3:23 PM
Herald added a project: Restricted Project. · View Herald TranscriptDec 18 2020, 3:23 PM
NoQ accepted this revision.Dec 21 2020, 1:14 PM

Uhm, yeah, indeed. Let's remove it, thanks!

I doubt people even use scan-view at this point (but i'd rather keep it) (scan-build is definitely used).

clang/tools/scan-view/share/Reporter.py
154

Looks like there was an attempt to support llvm.org bugzilla as well, but it never got anywhere.

This revision is now accepted and ready to land.Dec 21 2020, 1:14 PM

Unless i'm missing something, this change seems to have broken scan-view, as it now just says

"ModuleNotFOundError: No module named 'Reporter'"

Due to :

import Reporter in ScanView.py

Am i losing my mind?

Unless i'm missing something, this change seems to have broken scan-view, as it now just says

"ModuleNotFOundError: No module named 'Reporter'"

Due to :

import Reporter in ScanView.py

Am i losing my mind?

This seems to fix it:

index 5a5d15e85b30..4eccb9958a05 100644
--- a/clang/tools/scan-view/share/ScanView.py
+++ b/clang/tools/scan-view/share/ScanView.py
@@ -26,7 +26,6 @@ import time
 import socket
 import itertools

-import Reporter
 try:
     import configparser
 except ImportError:
Stage this hunk [y,n,q,a,d,j,J,g,/,e,?]? y
@@ -775,9 +774,7 @@ File Bug</h3>


 def create_server(address, options, root):
-    import Reporter
-
-    reporters = Reporter.getReporters()
+    reporters = []

     return ScanViewServer(address, ScanViewRequestHandler,
                           root,

Are you still seeing failures in the main branch? I thought I had fixed this with Revision: https://reviews.llvm.org/D96367.

puremourning added a comment.EditedMay 21 2021, 7:35 AM

Erm, doh. I thought I was on main, but I was using clang 12.0.0 (tag llvmorg-12.0.0 from llvm-project). We tend to only use release tagged versions.

Erm, doh. I thought I was on main, but I was using clang 12.0.0 (tag llvmorg-12.0.0 from llvm-project). We tend to only use release tagged versions.

OK, I've cherry-picked this fix to the release/12.x branch, so it should be working in the 12.0.1 release, and in 12.0.1-rc1 when it comes out if you want to verify the fix there.